Skip to main content
GET
/
api2
/
v1
/
transMemories
/
{transMemoryUid}
/
lastBackgroundTask
Get last task information
curl --request GET \
  --url https://cloud.memsource.com/web/api2/v1/transMemories/{transMemoryUid}/lastBackgroundTask \
  --header 'Authorization: <api-key>'
{
  "status": "<string>",
  "finishedDataText": "<string>",
  "asyncRequest": {
    "id": "<string>",
    "createdBy": {
      "firstName": "<string>",
      "lastName": "<string>",
      "userName": "<string>",
      "email": "<string>",
      "role": "SYS_ADMIN",
      "id": "<string>",
      "uid": "<string>"
    },
    "dateCreated": "2023-11-07T05:31:56Z",
    "action": "PRE_ANALYSE",
    "asyncResponse": {
      "dateCreated": "2023-11-07T05:31:56Z",
      "errorCode": "<string>",
      "errorDesc": "<string>",
      "errorDetails": [
        {
          "code": "<string>",
          "args": {},
          "message": "<string>"
        }
      ],
      "warnings": [
        {
          "code": "<string>",
          "args": {},
          "message": "<string>"
        }
      ],
      "acceptedSegmentsCount": 123
    },
    "parent": "<unknown>",
    "project": {
      "uid": "<string>",
      "name": "<string>"
    }
  },
  "lastTaskString": "<string>",
  "metadata": {
    "segmentsCount": 123,
    "deduplicatedSegmentsCount": 123,
    "metadataByLanguage": {}
  },
  "lastTaskOk": "<string>",
  "lastTaskError": "<string>",
  "lastTaskErrorHtml": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Path Parameters

transMemoryUid
string
required

Response

successful operation

status
string
finishedDataText
string
asyncRequest
object
lastTaskString
string
metadata
object
lastTaskOk
string
lastTaskError
string
lastTaskErrorHtml
string